/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.except;

import java.lang.reflect.Constructor;

public class RenderClassCreationException extends RenderingException
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  public RenderClassCreationException(Class klass)
  {
    super(RenderClassCreationException.class,"DynamoExceptionMessages","renderClass.creation");
    setParameter(0,klass.getName());

  } // end constructor

  public RenderClassCreationException(Class klass, Throwable inner)
  {
    super(RenderClassCreationException.class,"DynamoExceptionMessages","renderClass.creation",inner);
    setParameter(0,klass.getName());

  } // end constructor

  public RenderClassCreationException(Constructor ctor)
  {
    this(ctor.getDeclaringClass());

  } // end constructor

  public RenderClassCreationException(Constructor ctor, Throwable inner)
  {
    this(ctor.getDeclaringClass(),inner);

  } // end constructor

} // end class RenderClassCreationException
